---
title: "List JIT requests"
url: https://hexelstudio.com/docs/api/ciam-iam/jit/list
---

# List JIT requests

**GET** `/jit`

Lists the caller's organization. Callers without iam:jit:read see only their own requests.

## Query parameters

- `status: optional string`

  Status filter

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of JITAccessRequest`)

- `activated_at: optional string`

- `approved_at: optional string`

- `approved_by_user_id: optional string`

- `created_at: optional string`

- `duration_minutes: optional integer`

- `environment_id: optional string`

- `expires_at: optional string`

- `id: optional string`

- `organization_id: optional string`

- `reason: optional string`

- `revoked_at: optional string`

- `revoked_by_user_id: optional string`

- `role_id: optional string`

- `status: optional string`

- `ticket_id: optional string`

- `user_id: optional string`

- `workspace_id: optional string`

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/jit' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "activated_at": "2026-01-01T00:00:00Z",
    "approved_at": "2026-01-01T00:00:00Z",
    "approved_by_user_id": "string",
    "created_at": "2026-01-01T00:00:00Z",
    "duration_minutes": 0,
    "environment_id": "string",
    "expires_at": "2026-01-01T00:00:00Z",
    "id": "string",
    "organization_id": "string",
    "reason": "string",
    "revoked_at": "2026-01-01T00:00:00Z",
    "revoked_by_user_id": "string",
    "role_id": "string",
    "status": "string",
    "ticket_id": "string",
    "user_id": "string",
    "workspace_id": "string"
  }
]
```
